Opened 8 years ago

Closed 7 years ago

Last modified 6 years ago

#170 closed defect (fixed)

TIFF -> PBM - white line on the right side in the output PBM file

Reported by: ami_stuff Owned by:
Priority: normal Component: undetermined
Version: git-master Keywords: tif roundup
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Issue 1490

Author: ami_stuff 	Date: 2009-10-17.19:36:58 	

When I convert attached TIFF file to PBM, there will be visible white line on
the right side in the PBM image. This don't happen when I select TIFF or PNG as
an output format.

This line is visible when I load the output PBM file to
XnView/IrfanView/PhotoShop, but not when I use FFplay.

"FFmpeg -i test.tif out.pbm"

--------

C:\>ffmpeg -i test.tif
FFmpeg version SVN-r20231, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  built on Oct 14 2009 04:04:42 with gcc 4.2.4
  configuration: --enable-memalign-hack --prefix=/mingw --cross-prefix=i686-ming
w32- --cc=ccache-i686-mingw32-gcc --target-os=mingw32 --arch=i686 --cpu=i686 --e
nable-avisynth --enable-gpl --enable-version3 --enable-zlib --enable-bzlib --ena
ble-libgsm --enable-libfaad --enable-pthreads --enable-libvorbis --enable-libthe
ora --enable-libspeex --enable-libmp3lame --enable-libopenjpeg --enable-libxvid
--enable-libschroedinger --enable-libx264 --enable-libopencore_amrwb --enable-li
bopencore_amrnb
  libavutil     50. 3. 0 / 50. 3. 0
  libavcodec    52.37. 0 / 52.37. 0
  libavformat   52.39. 1 / 52.39. 1
  libavdevice   52. 2. 0 / 52. 2. 0
  libswscale     0. 7. 1 /  0. 7. 1
Input #0, image2, from 'test.tif':
  Duration: 00:00:00.04, start: 0.000000, bitrate: N/A
    Stream #0.0: Video: tiff, monob, 985x739, 25 tbr, 25 tbn, 25 tbc
At least one output file must be specified
Author: kostya 	Date: 2009-10-18.06:53:20 	

Hmm, probably different programs get last pixel value from different 
bit.
Author: cehoyos 	Date: 2009-10-18.21:55:00 	

Also reproducible with ImageMagick.

Attachments (1)

test.tif (110.1 KB) - added by ami_stuff 8 years ago.

Download all attachments as: .zip

Change History (4)

Changed 8 years ago by ami_stuff

comment:1 Changed 8 years ago by saste

Unreproducible here with ffplay, display (from ImageMagick?) and eog.

I wonder if this should be considered a bug of XnView/IrfanView/PhotoShop?, maybe they're reading an entire number of bytes and rendering the padding bits in the last byte of each line.

comment:2 Changed 7 years ago by cehoyos

  • Reproduced by developer set
  • Resolution set to fixed
  • Status changed from new to closed
  • Version changed from unspecified to git-master

I was originally able to reproduce this problem with both ffplay and ffmpeg, but I believe it was fixed since.

comment:3 Changed 6 years ago by cehoyos

  • Keywords tif roundup added
Note: See TracTickets for help on using tickets.